# Uses of Interface
org.jboss.modules.ref.Reaper

Packages that use Reaper
Package
Description
org.jboss.modules.ref
Classes which implement reference types which can be cleaned up automatically by a background thread.

## Uses of Reaper in org.jboss.modules.ref

Methods in org.jboss.modules.ref that return Reaper
Modifier and Type
Method
Description
`Reaper<T,A>`
PhantomReference.`getReaper()`
`Reaper<T,A>`
SoftReference.`getReaper()`
`Reaper<T,A>`
WeakReference.`getReaper()`
Methods in org.jboss.modules.ref with parameters of type Reaper
Modifier and Type
Method
Description
`static <T, A> Reference<T,A>`
References.`create(Reference.Type type, T value, A attachment, Reaper<T,A> reaper)`
Create a reference of a given type with the provided value and attachment.
Constructors in org.jboss.modules.ref with parameters of type Reaper
Modifier
Constructor
Description
``
`PhantomReference(T referent, A attachment, Reaper<T,A> reaper)`
``
`SoftReference(T referent, A attachment, Reaper<T,A> reaper)`
``
`WeakReference(T referent, A attachment, Reaper<T,A> reaper)`